<template>
  <div class="highlights-container" :style="gridFr()">
    <template v-for="(card, index) in settings.cards">
      <highlight-card v-if="card.mode === 'highlight'" :settings="card" :key="index"></highlight-card>
      <text-conent v-if="card.mode === 'text'" :text="card.text" :title="card.title" :buttonText="card.buttonText" :buttonLink="card.buttonLink" :key="index" :extraClass="card.class"></text-conent>
    </template>
  </div>
</template>

<script>
export default {
  props: {
    settings: {
      type: Object,
      default: {
        cards: []
      }
    }
  },
  methods: {
    gridFr() {
      return {
        gridTemplateRows: `repeat(${this.settings.cards.length > 4? 2:1}, 1fr)`,
        gridTemplateColumns: `repeat(${this.settings.innerContent? 3:4}, 1fr)`
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.highlights-container {
  display: grid;
  grid-template: 1fr 1fr / repeat(4, 1fr);
  gap: 1.5625rem;
}
</style>